#ifndef SERVER_H
/*
    XMMSd - A web control plug-in for XMMS
    Copyright (C) 2002  Fredrik Rambris <boost@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#define SERVER_H

#include "taglist.h"

#define TAG_SERVER (TAG_USER+0x1000)

#define SERVER_PORT (TAG_SERVER+1)
#define SERVER_BIND (TAG_SERVER+2)
#define SERVER_RESPONSE (TAG_SERVER+3)
#define SERVER_AUTHENTICATION (TAG_SERVER+4)
#define SERVER_HOSTNAME (TAG_SERVER+5)
#define SERVER_USERDATA (TAG_SERVER+6)
#define SERVER_NUMCLIENTS (TAG_SERVER+7)

#define BOCHE_VERSION "0.2"

extern struct Server *server_newA( struct TagItem *tags );
extern struct Server *server_new( Tag tag1, ... );
extern void server_free( struct Server *serv );

/* Misc util functions for the server */
extern void request_relocate( struct Request *request, gchar *path );
extern void request_querydecode( GHashTable *hashtable, gchar *query );
#endif
