# Note that this is NOT a relocatable package
%define  name     xmmsd
%define  ver      0.3
%define  RELEASE  1
%define  rel      %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix   /usr
%define  sysconfdir /etc

Summary: A webcontrol plug-in for XMMS
Name: %name
Version: %ver
Release: %rel
Group: Applications/Multimedia
License: GPL
URL: http://xmmsd.sourceforge.net/
BuildRequires: xmms-devel glib-devel gtk+-devel
Requires: xmms glib gtk+
Source: %name-%{ver}.tar.bz2
Docdir: %{prefix}/doc
BuildRoot: /var/tmp/%{name}-build-root
Packager: Fredrik Rambris <boost@users.sourceforge.net>
Docdir: %{prefix}/share/doc

%description
A plug-in for XMMS that enables you to control XMMS directly from a
webbrowser. It also features a low-cost back-end interface that can be used
by a third party front-end.

There are also a stand-alone version of the plugin that is run from
ommand line.

%changelog
* Sat Aug 10 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.3
- Changed the group from Applications/MultiMedia to Applications/Multimedia

* Mon Jul 22 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.0.8
- Added gtk+ dependency

%prep
%setup -q
%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
# Needed for snapshot releases.

MYCFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%{prefix} --localstatedir=/var/lib --sysconfdir=%{sysconfdir}
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%{prefix} --localstatedir=/var/lib --sysconfdir=%{sysconfdir}
fi

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/xmmsd
%doc AUTHORS COPYING ChangeLog NEWS README TODO THANKS
/usr/lib/xmms/General/libxmmsd.la
/usr/lib/xmms/General/libxmmsd.so
